Open UNIX 8.0.0 UnixWare 7.1.1 X Server xkbcomp本地缓冲区溢出漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1203905 漏洞类型 边界条件错误
发布时间 2002-08-26 更新时间 2005-05-02
CVE编号 CVE-2002-0988 CNNVD-ID CNNVD-200209-030
漏洞平台 N/A CVSS评分 10.0
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200209-030
|漏洞详情
UnixWare/OpenUNIX是由Caldera公司分发和维护的商业UNIX操作系统。UnixWare/OpenUNIX中的XServer存在缓冲区溢出问题,本地攻击者可以利用这个漏洞可能以XServer进程权限在系统上执行任意指令。UnixWare/OpenUNIX中的Xserver的xkbcomp程序存在缓冲区溢出,又由于XServer调用xkbcomp程序的时候没有丢弃特殊权限,可能导致攻击者以XServer进程权限在系统上执行任意指令。
|参考资料

来源:BID
名称:5577
链接:http://www.securityfocus.com/bid/5577
来源:XF
名称:openunix-unixware-xsco-bo(9977)
链接:http://www.iss.net/security_center/static/9977.php
来源:CALDERA
名称:CSSA-2002-SCO.38
链接:ftp://ftp.sco.com/pub/updates/OpenUNIX/CSSA-2002-SCO.38